.footer {
    margin-top: 0;
}

/*------------------------------- page_top -------------------------------*/
.page_title {
    max-width: 1000px;
    margin: 24px auto 0;
    font-size: var(--ft45);
}
.type {
    margin-top: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 24px;
}
.type li {
    display: flex;
    align-items: center;
    gap: 6px;
    position: relative;
    padding-right: 24px;
}
.type li::after {
    content: '';
    display: block;
    width: 1px;
    height: 16px;
    background-color: var(--dark-line);
    position: absolute;
    right: 0;
}
.type li:last-child {
    padding-right: 0;
}
.type li:last-child::after {
    display: none;
}
.type img {
    width: 18px;
    height: 19px;
}
.type p {
    font-size: var(--ft18);
    font-weight: var(--semi-bold);
    color: var(--primary);
}

.page_right {
    margin-top: 40px;
    display: flex;
    justify-content: end;
    align-items: center;
    gap: 32px;
}
.page_right * {
    font-size: var(--ft16);
    font-weight: var(--medium);
    color: var(--gray-400);
}
.url {
    display: flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
}
.url:hover p {
    text-decoration: underline;
}
.url img {
    width: 20px;
    height: 20px;
}


/*------------------------------- flex -------------------------------*/
.flex {
    margin-top: 60px;
    border-top: 1px solid var(--dark-line);
    display: flex;
}

/*------------------------------- bbs_aside -------------------------------*/
.bbs_aside {
    width: 100%;
    max-width: 500px;
    height: 100vh;
    padding: 110px 60px 80px;
    background-color: var(--primary-bg);
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: sticky;
    top: 0;
    left: 0;
}
.aside_type {
    display: flex;
    gap: 10px;
}
.aside_type li {
    padding: 4px 20px;
    border-radius: var(--radius);
    font-size: var(--ft14);
    font-weight: var(--semi-bold);
}
.aside_type li:first-child {
    background-color: #CED2D0;
    color: var(--primary);
}
.aside_type li:last-child {
    background-color: var(--primary);
    color: var(--white);
}
.aside_title {
    margin-top: 24px;
    font-size: var(--ft24);
    font-weight: var(--semi-bold);
}
.aside_tag {
    margin-top: 36px;
    display: flex;
    flex-wrap: wrap;
    gap: 8px 14px;
}
.aside_tag li {
    font-weight: var(--semi-bold);
    color: var(--primary);
}
.aside_tag li:hover {
    text-decoration: underline;
}

/*-- bbs_index --*/
.bbs_index {
    width: 100%;
    margin-top: 36px;
    border-radius: var(--radius);
    background-color: var(--white);
}
.index_main {
    width: 100%;
    padding: 22px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}
.index_main p {
    font-weight: var(--semi-bold);
}
.index_main .cur_index {
    display: none;
}
.index_main img {
    width: 12px;
    height: 12px;
    transition: transform .3s ease;
}
.index_main.open img {
    transform: rotate(180deg);
}

.index_box {
    padding: 22px;
    padding-top: 0;
}
.index_box_inner {
    display: flex;
    gap: 20px;
}
.index_line {
    width: 2px;
    background-color: var(--dark-line);
    border-radius: 2px;
    position: relative;
}
.index_line .line {
    display: block;
    width: 100%;
    height: 24px;
    background-color: var(--primary);
    border-radius: 2px;
    position: absolute;
    top: 0;
    transition: all .3s ease;
}
.index_list {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 14px;
}
.index_list.mouse_off {
    pointer-events: none;
}
.index_list li {
    font-size: var(--ft16);
    font-weight: var(--semi-bold);
    color: var(--gray-400);
    cursor: pointer;
    transition: color .3s ease;
}
.index_list li:hover {
    color: var(--gray-600);
}
.index_list li.active {
    color: var(--primary);
}

.asdie_contact {
    width: 100%;
    height: 70px;
    border-radius: var(--radius);
    background-color: var(--primary);
    flex-shrink: 0;
}
.asdie_contact a {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
}
.asdie_contact img {
    width: 28px;
    height: 28px;
}
.asdie_contact p {
    font-size: var(--ft18);
    font-weight: var(--semi-bold);
    color: var(--white);
}

/*------------------------------- bbs_wrap -------------------------------*/
.bbs_wrap {
    width: 100%;
    padding: 90px 80px 120px; 
}
.bbs_sec {
    margin-bottom: 120px;
}
.bbs_sec * {
    font-size: var(--ft18);
    word-wrap: break-word;
    word-break: break-all;
    max-width: none !important;
    width: auto;
    min-width: 100%;
}
.bbs_sec .sec_title {
    font-size: var(--ft24);
    font-weight: var(--semi-bold);
    margin-bottom: 24px;
}
.bbs_sec img {
    width: fit-content;
    min-width: auto;
    margin: 40px 0;
    max-width: 100% !important;
    border: 1px solid var(--dark-line);
}

/*-- bbs_list --*/
.bbs_list {
    border-top: 1px solid var(--dark-line);
}
.bbs_list li {
    border-bottom: 1px solid var(--dark-line);
    transition: background .3s ease;
}
.bbs_list li:hover {
    background-color: var(--gray-200);
}
.bbs_list a {
    padding: 24px 20px;
    display: flex;
    align-items: center;
    gap: 30px;
}
.bbs_list .list_l {
    width: 160px;
    padding-right: 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-right: 1px solid var(--dark-line);
    flex-shrink: 0;
}
.bbs_list .list_l p {
    font-size: var(--ft18);
    font-weight: var(--medium);
    color: var(--gray-600);
}
.bbs_list .list_l img {
    width: 12px;
    height: 12px;
    opacity: .6;
}
.bbs_list li:first-child .list_l img {
    transform: rotate(180deg);
}
.bbs_list p {
    font-size: var(--ft18);
    font-weight: var(--semi-bold);
}
.bbs_list .null a > p {
    color: var(--gray-400);
}
.btn {
    width: 180px;
    margin: 60px auto 0;
}

@media all and (max-width: 1600px) {
    /*-- bbs_aside --*/
    .bbs_aside {
        max-width: 400px;
        padding: 90px 30px 50px;
    }
    .aside_title {
        font-size: var(--ft20);
    }
    .aside_tag {
        margin-top: 20px;
    }
    .aside_tag li {
        font-size: var(--ft14);
    }
    
    .bbs_index {
        margin-top: 24px;
    }
    .index_box_inner {
        gap: 14px;
    }
    .index_list li {
        font-size: var(--ft14);
    }
    .index_line .line {
        height: 19px;
    }

    .asdie_contact {
        height: 60px;
    }
    .asdie_contact img {
        width: 20px;
        height: 20px;
    }
    .asdie_contact p {
        font-size: var(--ft16);
    }
}

@media all and (max-width: 1400px) {
    /*-- page_top --*/
    .page_title {
        font-size: var(--ft40);
    }

    /*-- bbs_aside --*/
    .bbs_aside {
        max-width: 360px;
        padding: 90px 24px 40px;
    }
    .aside_type li {
        font-size: var(--ft12);
    }
    .aside_title {
        margin-top: 12px;
        font-size: var(--ft18);
    }

    /*-- bbs_wrap --*/
    .bbs_wrap {
        padding: 80px 40px 120px;
    }
    .bbs_sec {
        margin-bottom: 90px;
    }
}

@media all and (max-width: 1024px) {
    /*-- page_top --*/
    .type {
        margin-top: 24px;
    }

    .page_right {
        width: fit-content;
        padding: 12px 30px;
        margin: 20px auto 0;
        border-radius: var(--radius);
        background-color: var(--gray-200);
        justify-content: center;
    }


    .flex {
        margin-top: 40px;
        flex-direction: column;
    }

    /*-- bbs_aside --*/
    .bbs_aside {
        max-width: 100%;
        height: fit-content;
        padding: 0;
        position: static;
        background: none;
    }
    .aside_type,
    .aside_title,
    .asdie_contact {
        display: none;
    }
    .bbs_index {
        width: calc(100% - 32px);
        position: fixed;
        left: 16px;
        bottom: 75px;
        z-index: 8;
    }
    .index_main {
        padding: 10px 16px;
        border: 1px solid var(--dark-line);
        border-radius: var(--radius);
        background-color: var(--white);
        justify-content: start;
        gap: 14px;
    }
    .index_main p:first-child {
        font-size: var(--ft14);
        color: var(--primary);
        padding-right: 14px;
        position: relative;
        display: flex;
        align-items: center;
        flex-shrink: 0;
    }
    .index_main p::after {
        content: '';
        display: block;
        width: 1px;
        height: 10px;
        background-color: var(--dark-line);
        position: absolute;
        right: 0;
    }
    .index_main .cur_index {
        font-size: var(--ft14);
        color: var(--gray-600);
        display: block;
        padding-right: 20px;
    }
    .index_main img {
        width: 14px;
        height: 14px;
        padding: 3px;
        border-radius: 50%;
        background-color: var(--gray-200);
        position: absolute;
        right: 20px;
    }

    .index_box {
        width: 100%;
        padding: 20px;
        background-color: var(--white);
        border-radius: var(--radius);
        border: 1px solid var(--dark-line);
        position: absolute;
        bottom: calc(100% + 10px);
        display: none;
    }

    .aside_tag {
        padding: 0 20px;
    }
    .aside_tag li {
        font-size: var(--ft16);
    }

    /*-- bbs_wrap --*/
    .bbs_wrap  {
        margin-top: 40px;
        padding: 20px 20px 80px;
    }
    .bbs_sec {
        margin-bottom: 60px;
    }
    .bbs_sec .sec_title {
        font-size: var(--ft20);
        margin-bottom: 16px;
    }
    .bbs_sec img {
        margin: 20px 0;
    }
}

@media all and (max-width: 768px) {
    /*-- page_top --*/
    .page_title {
        font-size: var(--ft28);
    }
    .type {
        gap: 12px;
    }
    .type li {
        padding-right: 12px;
    }
    .type img {
        width: 14px;
        height: 14px;
    }
    .type p {
        font-size: var(--ft14);
    }
    .type li::after {
        height: 10px;
    }
    .page_right {
        gap: 20px;
    }
    .page_right * {
        font-size: var(--ft14);
    }
    .url img {
        width: 13px;
        height: 13px;
    }
    

    /*-- bbs_list --*/
    .bbs_list a {
        padding: 16px 12px;
        flex-direction: column;
        align-items: start;
        gap: 12px;
    }
    .bbs_list .list_l {
        width: auto;
        padding-right: 0;
        border: none;
        gap: 6px;
    }
    .bbs_list .list_l p {
        font-size: var(--ft14);
    }
    .bbs_list .list_l img {
        width: 8px;
        height: 8px;
    }
    .bbs_list p {
        font-size: var(--ft16);
    }

    .btn {
        margin-top: 40px;
    }
}